Seite 1 von 1

PHP 8.0

BeitragVerfasst: Mi 12. Jan 2022, 14:54
von Heidrunwebt
Hallo mein Provider empfiehlt auf die aktuelle PHP-Version 8.0 zu wechseln.
Für die bisher verwendete Version PHP 7.3 will er zukünftig den "extended Support" bezahlt haben.

Mit PHP 8.0 läuft allerdings der Web-Shop nicht mehr.

Vorrübergehend kann ich wohl PHP 7.4 verwenden; damit läufts wohl (auf den ersten Blick).

Ist RandShop PHP 8.0- fähig ?
oder was muss ich beachten ???

Re: PHP 8.0

BeitragVerfasst: Mi 12. Jan 2022, 23:24
von Werner
Hallo,
ja interessant!
Dies fand ich gerade im Netz dazu:

Gibt es Komplikationen mit altem Code?

Da PHP 8 eine neue Hauptversion ist, muss man damit rechnen, dass alter Code nicht mehr kompatibel sein kann. Die meisten Änderungen, die zu Komplikationen führen könnten, waren allerdings schon in Version 7.2, 7.3 und 7.4 veraltet.

Ich selbst habe hier noch PHP Version: 7.2.34 mit der shopversion 3.0

Du hast ja selbst festgestellt, daß der shop mit der Version 8.0 nicht läuft.........sprich nicht lauffähig ist.

Interessant fand ich beim Lesen, daß der Performancegewinn mit der Version 8.0 hoch ist, also insofern schon eine feine Sache wäre!

Grüße

Re: PHP 8.0

BeitragVerfasst: Do 13. Jan 2022, 09:21
von Heidrunwebt
Meine Frage geht eher dahin, ob geplant ist, den Randshop dazu zu bringen, dass er mit der aktuellen Version 8.0 oder höher läuft.

PHP 7.3 wird auch von der PHP-Community nicht mehr unterstützt.
PHP 7.4 läuft wohl Anfang nächsten Jahres aus.

Re: PHP 8.0

BeitragVerfasst: Sa 15. Jan 2022, 10:41
von Werner
Hallo,

ja war mir schon klar..., die Entwickler sind sicherlich schon dran an dem Thema.

Grüße

Re: PHP 8.0

BeitragVerfasst: Fr 21. Jan 2022, 09:09
von mmaass
Es wird noch dauern aber natürlich wird Randshop auch für die Version 8.0 vorbereitet.